## r-cran-rprojroot 1.3

=== DESCRIPTION ===
Package: rprojroot
Title: Finding Files in Project Subdirectories
Version: 1.3-2
Authors@R: person(given = "Kirill", family = "Müller", role = c("aut",
        "cre"), email = "krlmlr+r@mailbox.org")
Description: Robust, reliable and flexible paths to files below a
    project root. The 'root' of a project is defined as a directory
    that matches a certain criterion, e.g., it contains a certain
    regular file.
Depends: R (>= 3.0.0)
Imports: backports
Suggests: testthat, mockr, knitr, withr, rmarkdown
VignetteBuilder: knitr
License: GPL-3
LazyData: true
Encoding: UTF-8
URL: https://github.com/krlmlr/rprojroot,
        https://krlmlr.github.io/rprojroot
BugReports: https://github.com/krlmlr/rprojroot/issues
RoxygenNote: 6.0.1
Collate: 'rrmake.R' 'criterion.R' 'file.R' 'has-file.R' 'root.R'
        'rprojroot-package.R' 'shortcut.R' 'thisfile.R'
NeedsCompilation: no
Packaged: 2018-01-03 13:27:15 UTC; muelleki
Author: Kirill Müller [aut, cre]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-01-03 15:36:24 UTC

## r-cran-rprojroot 1.2

=== debian/changelog ===
r-cran-rprojroot (1.2-1) unstable; urgency=medium

  * Initial release (closes: #877477)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 08:16:25 +0200

=== debian/control ===
Source: r-cran-rprojroot
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-backports
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rprojroot.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rprojroot.git
Homepage: https://cran.r-project.org/package=rprojroot

Package: r-cran-rprojroot
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R finding files in project subdirectories
 Robust, reliable and flexible paths to files below a
 project root. The 'root' of a project is defined as a directory
 that matches a certain criterion, e.g., it contains a certain
 regular file.

## r-cran-rprojroot 1.3-2

=== debian/changelog ===
r-cran-rprojroot (1.3-2-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:23:45 +0000

r-cran-rprojroot (1.3-2-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:24:56 +0200

r-cran-rprojroot (1.3-2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 14:02:54 +0200

r-cran-rprojroot (1.3-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Fri, 02 Mar 2018 09:46:00 +0100

=== debian/control ===
Source: r-cran-rprojroot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-backports
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot.git
Homepage: https://cran.r-project.org/package=rprojroot
Rules-Requires-Root: no

Package: r-cran-rprojroot
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R finding files in project subdirectories
 Robust, reliable and flexible paths to files below a
 project root. The 'root' of a project is defined as a directory
 that matches a certain criterion, e.g., it contains a certain
 regular file.

## r-cran-rprojroot 2.0.2

=== DESCRIPTION ===
Package: rprojroot
Title: Finding Files in Project Subdirectories
Version: 2.0.2
Authors@R: 
    person(given = "Kirill",
           family = "M\u00fcller",
           role = c("aut", "cre"),
           email = "krlmlr+r@mailbox.org",
           comment = c(ORCID = "0000-0002-1416-3412"))
Description: Robust, reliable and flexible paths to files below
    a project root. The 'root' of a project is defined as a directory that
    matches a certain criterion, e.g., it contains a certain regular file.
License: MIT + file LICENSE
URL: https://rprojroot.r-lib.org/, https://github.com/r-lib/rprojroot
BugReports: https://github.com/r-lib/rprojroot/issues
Depends: R (>= 3.0.0)
Suggests: covr, knitr, lifecycle, mockr, rmarkdown, testthat (>=
        3.0.0), withr
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1.9000
NeedsCompilation: no
Packaged: 2020-11-15 13:03:34 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>)
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2020-11-15 13:30:03 UTC

=== debian/changelog ===
r-cran-rprojroot (2.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Test-Depends: r-cran-mockr

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev,
-               r-cran-backports
-Standards-Version: 4.5.0
+               r-base-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot.git
 Homepage: https://cran.r-project.org/package=rprojroot

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockr
Restrictions: allow-stderr

## r-cran-rprojroot 2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rprojroot
 Title: Finding Files in Project Subdirectories
-Version: 2.0.2
+Version: 2.0.3
 Authors@R: 
     person(given = "Kirill",
            family = "M\u00fcller",
@@ -19,11 +19,10 @@
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1.9000
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2020-11-15 13:03:34 UTC; kirill
+Packaged: 2022-04-02 16:14:00 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>)
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2020-11-15 13:30:03 UTC
+Date/Publication: 2022-04-02 16:40:02 UTC

=== debian/changelog ===
r-cran-rprojroot (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 May 2022 10:18:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot.git
 Homepage: https://cran.r-project.org/package=rprojroot

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	tar caf tests.tar.xz tests
	dh_installdocs
	rm -rf tests.tar.xz

## r-cran-rprojroot 2.0.4

=== DESCRIPTION ===
Package: rprojroot
Title: Finding Files in Project Subdirectories
Version: 2.0.4
Authors@R: 
    person(given = "Kirill",
           family = "M\u00fcller",
           role = c("aut", "cre"),
           email = "kirill@cynkra.com",
           comment = c(ORCID = "0000-0002-1416-3412"))
Description: Robust, reliable and flexible paths to files below
    a project root. The 'root' of a project is defined as a directory that
    matches a certain criterion, e.g., it contains a certain regular file.
License: MIT + file LICENSE
URL: https://rprojroot.r-lib.org/, https://github.com/r-lib/rprojroot
BugReports: https://github.com/r-lib/rprojroot/issues
Depends: R (>= 3.0.0)
Suggests: covr, knitr, lifecycle, mockr, rlang, rmarkdown, testthat (>=
        3.0.0), withr
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-11-05 06:47:23 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>)
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-11-05 10:20:02 UTC

=== debian/changelog ===
r-cran-rprojroot (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Cherry-picked patch from upstream to drop the use of r-cran-mockr.
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 10:23:00 +0100

r-cran-rprojroot (2.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 16:48:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-rprojroot
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot.git
+Homepage: https://cran.r-project.org/package=rprojroot
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot.git
-Homepage: https://cran.r-project.org/package=rprojroot
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rprojroot
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-lifecycle,
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.2.0),
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rprojroot_([-\d.]*)\.tar\.gz

## r-cran-rprojroot 2.1.1

=== debian/changelog ===
r-cran-rprojroot (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove mockr patch committed upstream.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 14:47:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-rprojroot
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rprojroot.git
 Homepage: https://cran.r-project.org/package=rprojroot
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rprojroot
 Architecture: all
